Core - Feature # 39430

Status: Resolved Priority: Must have
Author: Christian Kuhn Category: Caching
Created: 2012-07-31 Assigned To:

Updated: 2014-11-07 Due date:

PHP Version: 5.3

Complexity: medium

Sprint Focus:

Subject: Update cache framework to latest FLOWS version

Description

Update the caching framework to FLOW3 version 868e073b98

Main changes:
- [W[FEATURE] Make cache backends more flexible
This change makes cache backends more flexible. It adds a new
interface "TaggableBackendInterface" and a new "SimpleFileBackend".
The latter does not support tagging but is faster in certain cases
(where with a lot of tags/entries flushing everything is faster than
flushing by tag).
If you have implemented a cache backend and support tagging, you must
add the "TaggableBackendInterface" to the list of interfaces implemented
by your backend.

- [BUGFIX] Fix default lifetime use in cache backend

- [FEATURE] Freezable Cache Backend
Introduce a new type of cache backends which supports freezing.
In a frozen state no modifications are allowed and thus enables the
cache implementation to optimize its tasks for speed.
The FileBackend was extended to support freezing.

Subtasks:

Bug # 58008: Autoload cache never expires and is not flushed after installing new exten...

Closed

Related issues:

related to TYPOS3.Flow - Feature # 32398: Freezable Cache Backend

related to TYPOS.Flow - Bug # 33562: FileBackend didnt use defaultLifetime if...
related to TYPOS3.Flow - Feature # 36563: Add a simple file backend for cachin...
related to Core - Feature # 36564: Add a simple file backend for caching that...
related to Core - Bug # 34886: t3lib_cache_backend_FileBackend don't support ...

Resolved
Resolved
Resolved
Closed

Resolved

2011-12-08
2012-01-31
2012-04-25
2012-04-25
2012-03-15

Associated revisions

Revision 3778f5b4 - 2012-08-01 23:34 - Christian Kuhn

["[FEATURE] Update cache framework to latest FLOW3 version

Update the caching framework to FLOW3 version 868e073b98

Main changes:

[M][FEATURE] Make cache backends more flexible
This change makes cache backends more flexible. It adds a new
interface "TaggableBackendInterface" and a new "SimpleFileBackend".
The latter does not support tagging but is faster in certain cases

(where with a lot of tags/entries flushing everything is faster than

flushing by tag).

If you have implemented a cache backend and support tagging, you must
add the "TaggableBackendlInterface" to the list of interfaces implemented
by your backend.

[BUGFIX] Fix default lifetime use in cache backend

[FEATURE] Freezable Cache Backend

Introduce a new type of cache backends which supports freezing.
In a frozen state no modifications are allowed and thus enables the
cache implementation to optimize its tasks for speed.

The FileBackend was extended to support freezing.

Change-Id: I1d4c609ecfcbb223cf6bc99202ef41b436e21ef78
Resolves: #39430

Related: #36563

Related: #33562

Related: #32398

Related: #36564

Releases: 6.0

Reviewed-on: http://review.typo3.org/13390

Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 551ba297 - 2012-08-08 16:07 - Christian Kuhn

[M[FEATURE] Update cache framework to latest FLOWS version

Update the caching framework to FLOW3 version 868e073b98

Main changes:

["[FEATURE] Make cache backends more flexible

This change makes cache backends more flexible. It adds a new
interface "TaggableBackendInterface" and a new "SimpleFileBackend".
The latter does not support tagging but is faster in certain cases

(where with a lot of tags/entries flushing everything is faster than

flushing by tag).

If you have implemented a cache backend and support tagging, you must
add the "TaggableBackendInterface" to the list of interfaces implemented
by your backend.

[BUGFIX] Fix default lifetime use in cache backend

[FEATURE] Freezable Cache Backend
Introduce a new type of cache backends which supports freezing.
In a frozen state no modifications are allowed and thus enables the
cache implementation to optimize its tasks for speed.
The FileBackend was extended to support freezing.

Change-Id: Id4c609ecfcbb223cf6bc99202ef41b436e21ef78
Resolves: #39430

Related: #36563

Related: #33562

Related: #32398

Related: #36564

Releases: 6.0

Reviewed-on: http://review.typo3.org/13390

Reviewed-by: Helmut Hummel

Tested-by: Helmut Hummel

Reviewed-by: Christian Kuhn

Tested-by: Christian Kuhn

Revision 86db4fd7 - 2012-08-12 14:03 - Christian Kuhn

["[FEATURE] Update cache framework to latest FLOW3 version

Update the caching framework to FLOW3 version 868e073b98

Main changes:

[M][FEATURE] Make cache backends more flexible
This change makes cache backends more flexible. It adds a new

interface "TaggableBackendInterface" and a new "SimpleFileBackend".

The latter does not support tagging but is faster in certain cases
(where with a lot of tags/entries flushing everything is faster than
flushing by tag).

If you have implemented a cache backend and support tagging, you must

add the "TaggableBackendInterface" to the list of interfaces implemented

by your backend.

[BUGFIX] Fix default lifetime use in cache backend

[FEATURE] Freezable Cache Backend

Introduce a new type of cache backends which supports freezing.
In a frozen state no modifications are allowed and thus enables the
cache implementation to optimize its tasks for speed.

The FileBackend was extended to support freezing.

Change-Id: Id4c609ecfcbb223cf6bc99202ef41b436e21ef78
Resolves: #39430

Related: #36563

Related: #33562

Related: #32398

Related: #36564

Releases: 6.0

Reviewed-on: http:/review.typo3.org/13390

Reviewed-by: HelImut Hummel
Tested-by: Helmut Hummel
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision e06f05a6 - 2013-09-26 21:49 - Dominique Feyer

[BUGFIX] CF FileBackend unlimited lifetime support

Backport of a bugfix that was part of #39430 in 6.0.

Change-Id: 12266ae12284a139a384854e3ff0bacf23f277859

Resolves: #34886

Related: #39430

Releases: 4.7, 4.5
Reviewed-on: https://review.typo3.0rg/24073

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision ¢8d2033e - 2013-09-26 21:50 - Dominique Feyer

[BUGFIX] CF FileBackend unlimited lifetime support

Backport of a bugfix that was part of #39430 in 6.0.

Change-Id: 12266ae12284a139a384854e3ff0bacf23f277859

Resolves: #34886

Related: #39430

Releases: 4.7, 4.5
Reviewed-on: https://review.typo3.org/24073

Reviewed-by: Christian Kuhn

Tested-by: Christian Kuhn

(cherry picked from commit e06f05a67c6c516f5970ce4d5785f8c9356e34ff)
Reviewed-on: https://review.typo3.org/24083

History

#1 - 2012-07-31 20:56 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.0org/13390

#2 - 2012-07-31 20:58 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13390

#3 - 2012-07-31 20:59 - Gerrit Code Review
Patch set 3 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/13390

#4 - 2012-08-01 23:25 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.

It is available at http://review.typo3.0rg/13390

#5 - 2012-08-02 00:30 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:3778f5b4619¢314d0254b39abbb79c711fded1b8.
